function handleEvent(self, event, ...)
	if event == "PLAYER_ENTERING_WORLD" then
		print("Dig Too Deep: Making Archaeology Interesting");
	elseif event == "CHAT_MSG_LOOT" then
		checkLoot(...);
	end
end

do
	local soundFiles = {
		[1] = "Sound\\Creature\\YoggSaron\\AK_YoggSaron_HowlingFjordWhisper01.wav",
		[2] = "Sound\\Creature\\YoggSaron\\AK_YoggSaron_HowlingFjordWhisper02.wav",
		[3] = "Sound\\Creature\\YoggSaron\\AK_YoggSaron_HowlingFjordWhisper03.wav",
		[4] = "Sound\\Creature\\YoggSaron\\AK_YoggSaron_HowlingFjordWhisper04.wav",
		[5] = "Sound\\Creature\\YoggSaron\\AK_YoggSaron_HowlingFjordWhisper05.wav",
		[6] = "Sound\\Creature\\YoggSaron\\AK_YoggSaron_HowlingFjordWhisper06.wav",
		[7] = "Sound\\Creature\\YoggSaron\\AK_YoggSaron_HowlingFjordWhisper07.wav",
		[8] = "Sound\\Creature\\YoggSaron\\AK_YoggSaron_HowlingFjordWhisper08.wav",
		[9] = "Sound\\Creature\\YoggSaron\\AK_YoggSaron_Whisper01.wav",
		[10] = "Sound\\Creature\\YoggSaron\\AK_YoggSaron_Whisper02.wav",
		[11] = "Sound\\Creature\\YoggSaron\\AK_YoggSaron_Whisper03.wav",
		[12] = "Sound\\Creature\\YoggSaron\\AK_YoggSaron_Whisper04.wav",
		[13] = "Sound\\Creature\\CThun\\CThunDeathIsClose.wav",
		[14] = "Sound\\Creature\\CThun\\CThunYouAreAlready.wav",
		[15] = "Sound\\Creature\\CThun\\CThunYouWillBetray.wav",
		[16] = "Sound\\Creature\\CThun\\CThunYouWillDIe.wav",
		[17] = "Sound\\Creature\\CThun\\CThunYourCourage.wav",
		[18] = "Sound\\Creature\\CThun\\CThunYourFriends.wav",
		[19] = "Sound\\Creature\\CThun\\YourHeartWill.wav",
		[20] = "Sound\\Creature\\CThun\\YouAreWeak.wav"
	}

	local whisperText = {
		[1] = "They are coming for you.",
		[2] = "Give in to your fear.",
		[3] = "Kill them all before they kill you.",
		[4] = "They have turned against you. Now, take your revenge.",
		[5] = "Tell yourself again that these are not truly your friends.",
		[6] = "There is no escape. Not in this life, not in the next.",
		[7] = "You are a pawn of forces unseen.",
		[8] = "It WAS your fault.",
		[9] = "You will be alone in the end.",
		[10] = "Trust is your weakness.",
		[11] = "Hope is an illusion.",
		[12] = "All that you know will fade.",
		[13] = "Death is close...",
		[14] = "You are already dead.",
		[15] = "You will betray your friends.",
		[16] = "You will die.",
		[17] = "Your courage will fail.",
		[18] = "Your friends will abandon you.",
		[19] = "Your heart will explode.",
		[20] = "You are weak."
	}

	local keystoneIDs = {
		[52843] = true,
		[63127] = true,
		[63128] = true,
		[64392] = true,
		[64394] = true,
		[64395] = true,
		[64396] = true,
		[64397] = true,
	}

	function checkLoot(msg, ...)
		local player, itemID = msg:match("([^%s]+).*Hitem:(%d+)");
		if player and itemID and isItemKeystone(tonumber(itemID)) then
			local x = random(1, #soundFiles);
			--TODO: get the color the player has set for whispers
			DEFAULT_CHAT_FRAME:AddMessage("A mysterious voice whispers: " .. whisperText[x], 1.0, 0.5, 1.0)
			PlaySoundFile(soundFiles[x]);
		end
	end

	function isItemKeystone(itemID)
		--wowprogramming.com lists a CanItemBeSocketedToArtifact() function
		--that maybe helpful here, but it is undocumented
		if keystoneIDs[itemID] then
			return true;
		else
			return false;
		end
	end

end
